Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbox2d.dynamics.joints
Class Joint

    java.lang.Object
      org.jbox2d.dynamics.joints.Joint

Direct Known Subclasses:
  DistanceJoint, GearJoint, MouseJoint, PrismaticJoint, PulleyJoint, RevoluteJoint

    public abstract class Joint

extends java.lang.Object

Field Summary
`Body` | `m_body1`
`Body` | `m_body2`
`boolean` | `m_collideConnected`
`boolean` | `m_islandFlag`
`Joint` | `m_next`
`JointEdge` | `m_node1`
`JointEdge` | `m_node2`
`Joint` | `m_prev`
`JointType` | `m_type`
`java.lang.Object` | `m_userData`

Constructor Summary
`Joint(JointDef description)`

Method Summary
`static Joint` | `create(JointDef description)`
`static void` | `destroy(Joint j)`
`void` | `destructor()`
`abstract Vec2` | `getAnchor1()` Get the anchor point on body1 in world coordinates.
`abstract Vec2` | `getAnchor2()` Get the anchor point on body2 in world coordinates.
`Body` | `getBody1()` Get the first body attached to this joint.
`Body` | `getBody2()` Get the second body attached to this joint.
`Joint` | `getNext()` Get the next joint the world joint list.
`abstract Vec2` | `getReactionForce()` Get the reaction force on body2 at the joint anchor.
`abstract float` | `getReactionTorque()` Get the reaction torque on body2.
`JointType` | `getType()` Get the type of the concrete joint.
`java.lang.Object` | `getUserData()` Get the user data pointer.
`void` | `initPositionConstraints()`
`abstract void` | `initVelocityConstraints(TimeStep step)`
`abstract boolean` | `solvePositionConstraints()` This returns true if the position errors are within tolerance.
`abstract void` | `solveVelocityConstraints(TimeStep step)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_type

    public JointType m_type

### m_prev

    public Joint m_prev

### m_next

    public Joint m_next

### m_node1

    public JointEdge m_node1

### m_node2

    public JointEdge m_node2

### m_body1

    public Body m_body1

### m_body2

    public Body m_body2

### m_islandFlag

    public boolean m_islandFlag

### m_collideConnected

    public boolean m_collideConnected

### m_userData

    public java.lang.Object m_userData

Constructor Detail

### Joint

    public Joint(JointDef description)

Method Detail

### destroy

    public static void destroy(Joint j)

### destructor

    public void destructor()

### create

    public static Joint create(JointDef description)

### getType

    public JointType getType()

  Get the type of the concrete joint.

### getBody1

    public Body getBody1()

  Get the first body attached to this joint.

### getBody2

    public Body getBody2()

  Get the second body attached to this joint.

### getAnchor1

    public abstract Vec2 getAnchor1()

  Get the anchor point on body1 in world coordinates.

### getAnchor2

    public abstract Vec2 getAnchor2()

  Get the anchor point on body2 in world coordinates.

### getReactionForce

    public abstract Vec2 getReactionForce()

  Get the reaction force on body2 at the joint anchor.

### getReactionTorque

    public abstract float getReactionTorque()

  Get the reaction torque on body2.

### getNext

    public Joint getNext()

  Get the next joint the world joint list.

### getUserData

    public java.lang.Object getUserData()

  Get the user data pointer.

### initVelocityConstraints

    public abstract void initVelocityConstraints(TimeStep step)

### solveVelocityConstraints

    public abstract void solveVelocityConstraints(TimeStep step)

### initPositionConstraints

    public void initPositionConstraints()

### solvePositionConstraints

    public abstract boolean solvePositionConstraints()

  This returns true if the position errors are within tolerance.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD